Summary: An OSF/Motif(R) clone.
Name:      lesstif
Version:   0.88.1
Release:   3
Copyright: LGPL
Packager:  LessTif Releasemeister <lesstif@hungry.com>
Group: Development/Libraries
Source:    ftp://ftp.hungry.com/pub/hungry/lesstif/lesstif-0.88.1.tar.gz
BuildRoot: /var/tmp/lesstif-root

%description
LessTif is a free replacement for OSF/Motif(R), which provides a full
set of widgets for application development (menus, text entry areas,
scrolling windows, etc.). LessTif is source compatible with
OSF/Motif(R) 1.2.  The widget set code is the primary focus of
development. If you're installing lesstif, you'll also need to install
lesstif-clients.

%package mwm
Summary: A LessTif/Motif(R) window manager based on fvwm.
Group: User Interface/Desktops
Requires: lesstif = %{PACKAGE_VERSION}
%description mwm
LessTif-mwm is a window manager derived from fvwm. LessTif-mwm
includes a new parser that understands mwmrc syntax and mwm
resources. If you're installing lesstif-mwm, you'll need to also
install lesstif and lesstif-clients.

%package clients
Summary: UIL and xmbind, two separate LessTif add-ons.
Group: User Interface/X
Requires: lesstif = %{PACKAGE_VERSION}
%description clients
The lesstif-clients package includes UIL and xmbind.  UIL is a
textual, static description of the user interface which is compiled
into binary form.  Xmbind configures the virtual key bindings of
LessTif applications.  If you are installing lesstif, you'll need to
install lesstif-clients.

%package 2.0-devel
Summary: The static library and header files for LessTif/Motif-2.0 development.
Group: Development/Libraries
Requires: XFree86-devel, lesstif = %{PACKAGE_VERSION}
%description 2.0-devel
Lesstif-devel contains the lesstif static library and header files
required to develop Motif-2.0-based applications using LessTif. If you
want to develop LessTif applications, you'll need to install
lesstif-2.0-devel along with lesstif and lesstif-clients.

%package 1.2-devel
Summary: Static library and header files for LessTif/Motif 1.2 development.
Group: Development/Libraries
Requires: XFree86-devel, lesstif = %{PACKAGE_VERSION}
%description 1.2-devel
Lesstif-devel contains the lesstif static library and header files
required to develop Motif-1.2-based applications using LessTif. If you
want to develop LessTif applications, you'll need to install
lesstif-1.2-devel along with lesstif and lesstif-clients.

%prep
%setup -D -n lesstif-0.88.1
# fix time sync problems with lesstif-current...
# Only needed if you're building from a source tar very soon after release
# and are in a different timezone than the hungry.com folks (who are in PST,
# I think).  Uncomment this if you're bleeding-edge enough to need it.
#  -- Scott <cananian@alumni.princeton.edu>
#touch now
#touch `find . -newer now` now
#rm -f now
#rm -rf $RPM_BUILD_ROOT

LESSTIFTOP=$PWD

./configure --prefix=/usr/X11R6 --enable-shared --enable-static \
	--enable-production --enable-default-20 \
	--disable-maintainer-mode 
( cd lib/Xlt && \
  ./configure --prefix=/usr/X11R6 --enable-shared --enable-static \
              --disable-maintainer-mode \
              --with-motif-includes=$LESSTIFTOP/include/Motif-2.0 \
              --with-motif-libraries=$LESSTIFTOP/lib/Xm/.libs )

%build
make
( cd lib/Xlt && make )

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr/X11R6
( cd lib/Xlt && make install prefix=$RPM_BUILD_ROOT/usr/X11R6 )

strip $RPM_BUILD_ROOT/usr/X11R6/bin/{mwm,uil,xmbind}
strip $RPM_BUILD_ROOT/usr/X11R6/lib/lib{Xm,Mrm,Xlt}.so*

install -d $RPM_BUILD_ROOT/etc/X11
ln -sf ../../usr/X11R6/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11/mwm

install -d $RPM_BUILD_ROOT/usr/X11R6/man
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man5
install -c -m 644 doc/lessdox/clients/mwmrc.5   $RPM_BUILD_ROOT/usr/X11R6/man/man5
install -c -m 644 doc/lessdox/clients/mwm.1     $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -c -m 644 doc/lessdox/clients/lesstif.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -c -m 644 doc/lessdox/clients/xmbind.1  $RPM_BUILD_ROOT/usr/X11R6/man/man1

# generate config files 
# temporary hack
cd $RPM_BUILD_ROOT/usr/X11R6/lib/; mv config X11
# end hack
cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config;

mv Imake.tmpl Imake-lesstif.tmpl.orig


perl -ne ' 
    if( /#include <Imake.rules>/ ){              
        print $_;
        print "#include <Motif-lesstif.tmpl>\n";
        print "#include <Motif-lesstif.rules>\n";
    }
    elsif ( /IMAKE_CMD = \$\(IMAKE\)/ ){
        print STDERR "found\n";
        s|\$\(IMAKE\)|\$(IMAKE) -T Imake-lesstif.tmpl|;
        print $_;
    }
    else {
        print $_;
    }
' < /usr/X11R6/lib/X11/config/Imake.tmpl > Imake-lesstif.tmpl


mv Motif.rules Motif-lesstif.rules
mv Motif.tmpl  Motif-lesstif.tmpl

cd $RPM_BUILD_ROOT/usr/X11R6/bin
sed -e 's/imake $args/imake -T Imake-lesstif.tmpl $args/' < `which xmkmf` > mxmkmf

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc etc/{example.motifbind,motifbind.sun+linux}
%attr(-, root, root) %doc AUTHORS BUG-REPORTING COPYING COPYING.LIB CREDITS 
%attr(-, root, root) %doc CURRENT_NOTES ChangeLog KNOWN_BUGS NEWS NOTES 
%attr(-, root, root) %doc README RELEASE-POLICY TODO
%attr(-, root, root) %doc doc/{*.txt,*.html}
%attr(-, root, root) %doc doc/www.lesstif.org/{*.html,images/*.gif}
%attr(755, root, root) %dir /usr/X11R6/LessTif/Motif2.0/lib/*
%attr(644, root, root) /usr/X11R6/lib/libMrm.so*
%attr(644, root, root) /usr/X11R6/lib/libXm.so*
%attr(644, root, root) /usr/X11R6/lib/libXlt.so*
%attr(644, root, root) /usr/X11R6/man/man1/lesstif.1

%files mwm
%attr(-, root, root) %doc clients/Motif-1.2/mwm/{COPYING,README}
%attr(755, root, root) %dir /etc/X11/mwm
%attr(755, root, root) %dir /usr/X11R6/lib/X11/mwm
%attr(755, root, root) /usr/X11R6/bin/mwm
%attr(644, root, root) %config /usr/X11R6/lib/X11/mwm/*
%attr(644, root, root) %config /usr/X11R6/lib/X11/app-defaults/Mwm
%attr(644, root, root) /usr/X11R6/man/man1/mwm.1
%attr(644, root, root) /usr/X11R6/man/man5/mwmrc.5

%files clients
%attr(755, root, root) /usr/X11R6/bin/uil
%attr(755, root, root) /usr/X11R6/bin/xmbind
%attr(644, root, root) %doc doc/UIL.txt
%attr(644, root, root) /usr/X11R6/man/man1/xmbind.1

%files 2.0-devel
%attr(-, root, root) %doc etc/README.linuxaout
%attr(-, root, root) %doc doc/lessdox/*
%attr(755, root, root) %dir /usr/X11R6/include/Mrm
%attr(755, root, root) %dir /usr/X11R6/include/Xm
%attr(755, root, root) %dir /usr/X11R6/LessTif/Motif1.2/include
%attr(644, root, root) /usr/X11R6/LessTif/Motif2.0/include/Xm/*
%attr(644, root, root) /usr/X11R6/LessTif/Motif2.0/include/Mrm/*
%attr(644, root, root) /usr/X11R6/lib/libMrm.*a
%attr(644, root, root) /usr/X11R6/lib/libXm.*a
%attr(755, root, root) /usr/X11R6/bin/mxmkmf
#%attr(644, root, root) %config /usr/X11R6/lib/X11/config/*

%files 1.2-devel
%defattr(-,root,root)
%doc doc/lessdox/*
%doc etc/README.linuxaout
/usr/X11R6/LessTif/Motif1.2/*
/usr/X11R6/lib/libXm.so.1
/usr/X11R6/lib/libXm.so.1.0.2
/usr/X11R6/lib/libMrm.so.1
/usr/X11R6/lib/libMrm.so.1.0.2
#/usr/X11R6/lib/lib*.so.1.2

%changelog
* Thu Jul 2 1999 Tim Powers <timp@redhat.com>
- added 1.2-devel and 2.0-devel descriptions and file lists
- made default build 2.0
- changed decriptions for all packages
- added Requires: to 1.2-devel, 2.0-devel, clients, and mwm
- built for Powertools

* Thu Apr 30 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Updated to lessdoc-current.
- Removes Lessdox package (integrated into lesstif)

* Tue Mar 31 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Removed pedantic.patch
- Removed lesstif-M12 (Motif 1.2 wrapper)
- Reviewed installation and fixed %files sections.
- Added patch to fix a bug which causes mozilla to crash.
- Added patch to fix the include prefix on install.

* Sun Jul 20 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>        (0.80-2)
- added to all %doc %attr macros (this allow build package from normal user
  account),
- some simplification in %files (%doc).
* Wed Jul 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added using %%{PACKAGE_VERSION} macro in "Source:" and %files,
- added additional parameter "--enable-build-12" to runing configure,
- added %posun and %clear,
- in %post and %postun ldconfig is called as parameter with "-p"
  (this feature is avalable in rpm >= 2.4.3 and you must have this
  version and if you want recompile package from src.rpm you must have new
  version rpm),
- added package lesstif-M12 simpe Motif 1.2 wrapper,
- simplified %install section,
- added %attr macros in %files sections,
- added striping shared libraries,
- added URL field,
- added Lessdox - a html development documentation to lesstif-devel,
- added lesstif-0.80public-nopedantic.patch, this allow compile lesstif on
  sparc by removing "-pedantic" from CFLAGS.




